#!/usr/bin/env python

import os
import transmissionrpc

tc = transmissionrpc.Client(
    address=os.environ.get('TRANSMISSION_HOST', '127.0.0.1'),
    port=os.environ.get('TRANSMISSION_PORT', '9091'),
    user=os.environ.get('TRANSMISSION_USER', 'transmission'),
    password=os.environ.get('TRANSMISSION_PASSWORD', 'transmission')
)

for torrent in tc.get_torrents():
    remove = False
    files = torrent.files()
    for id in files:
        download_dir = os.path.normpath(torrent.downloadDir)
        filename = files[id]['name']

        if not os.path.exists(os.path.join(download_dir, filename)) and torrent.status != 'downloading':
            remove = True
    if remove:
        tc.remove_torrent(torrent.id, delete_data=False)
